Last Comment Bug 858010 - Display error in TB 22 using personas
: Display error in TB 22 using personas
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 22 Branch
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 817468
  Show dependency treegraph
 
Reported: 2013-04-04 05:25 PDT by LEOXD
Modified: 2013-05-21 02:05 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
The Screenshot. The red marked areas are the ones which SHOULD be affected by themes. (220.96 KB, image/png)
2013-04-04 05:25 PDT, LEOXD
no flags Details
proposed fix (2.31 KB, patch)
2013-04-05 13:13 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description LEOXD 2013-04-04 05:25:15 PDT
Created attachment 733274 [details]
The Screenshot. The red marked areas are the ones which SHOULD be affected by themes.

The Mail-Toolbar is no longer affected by Personas in TB22. That should be changed.
Comment 1 Richard Marti (:Paenglab) 2013-04-05 02:01:18 PDT
Bug 817468 regressed this. I think I need to set the background color directly on the attachment bar.
Comment 2 Richard Marti (:Paenglab) 2013-04-05 13:13:25 PDT
Created attachment 734021 [details] [diff] [review]
proposed fix

Sorry Mike, I forgot to check Bug 817468 with personas. This patch sets now directly a background color on attachmentBar which looks like setting the -moz-appearance: toolbox; on mailContent or messengerBox. For this I gave under Win7 the background-image.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2013-05-09 07:15:15 PDT
Comment on attachment 734021 [details] [diff] [review]
proposed fix

Sorry for the crazy wait on this. Code looks good, and testing shows that this does indeed fix the problem. Thanks Richard!
Comment 4 Richard Marti (:Paenglab) 2013-05-09 07:20:36 PDT
Comment on attachment 734021 [details] [diff] [review]
proposed fix

[Approval Request Comment]
Regression caused by (bug #): 817468
User impact if declined: Wrong appearance with LW-themes
Risk to taking this patch (and alternatives if risky): small, there are only CSS changes.
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-05-09 11:36:05 PDT
https://hg.mozilla.org/comm-central/rev/ebc5dba345c4
Comment 6 Mark Banner (:standard8) 2013-05-10 03:19:24 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/a02b40a24fec

Note You need to log in before you can comment on or make changes to this bug.